iPad 2 And iPhone 4S Can be Downgraded to iOS 5.0.1 From iOS 5.1 [Updatex3]

Sn0wbreeze

We’ve some great news for iPhone 4S and iPad 2 users who may have accidentally upgraded their jailbroken iOS devices to iOS 5.1

iH8sn0w, developer of Sn0wbreeze – developer of popular jailbreak tool for Windows users has just revealed that he has managed to successfully downgrade his iPad 2 to iOS 5.0.1 from iOS 5.1.

He tweeted:

Found a loophole in Apple’s apticket system. Restored my iPad 2 to 5.0.1 from 5.1. Works on all A5 devices. :)

A5X devices will work too once Apple pushes a new firmware for it.

BTW, This cannot be applied to basebands. Only iOS itself.

It is currently possible to downgrade iPhone 3GS, iPhone 4, iPad 1, iPod touch 4G and iPod touch 3G from iOS 5.1 to iOS 5.0.1 using the SHSH blobs saved using TinyUmbrella or TinyCFW.

With this latest development, it means that iPhone 4S and iPad 2, which are powered by A5 chip and in the future the new iPad, which is powered by Apple’s A5X chip can be downgraded to the previous firmware versions as well.

So users will be able to downgrade to iOS 5.0.1 and enjoy the untethered jailbreak until the jailbreak for iOS 5.1 is released (Update on iOS 5.1 jailbreak available here). Update: We’re assuming that you will need SHSH blobs saved using TinyUmbrella to downgrade to iOS 5.0.1.

This is an amazing achievement as Apple had made it extremely difficult to downgrade to a previous iOS version with the release of iOS 5.0. iH8sn0w hasn’t mentioned when he plans to provide details on how to downgrade to a previous version.

Frequently asked Questions:

Here are answers to frequently asked questions:

1. Can I downgrade to iOS 5.1 to iOS 5.0.1 if I have iOS 5.0.1 SHSH blobs?

Yes

2. Can I downgrade to iOS 5.1 to iOS 5.0.1 if I don’t have iOS 5.0.1 SHSH blobs?

No, while iH8sn0w hasn’t provided the details it seems very (very) unlikely that you can downgrade to iOS 5.0.1 if you  haven’t saved the SHSH blobs.

3. Can I save iOS 5.0.1 SHSH blobs if my iOS device is still on iOS 5.0.1?
Using TinyUmbrella:
No, since Apple has stopped signing iOS 5.0.1, which is required for TinyUmbrella to SHSH blobs, it is currently not possible.
Note: Please note that if you’ve jailbroken your iOS device on iOS 5.0.1, then Cydia would have save the SHSH blobs. You can store these SHSH blobs locally using Tiny Umbrella (Launch Tiny Umbrella -> Ensure Request SHSH from Cydia option is selected and then click on the Save SHSH button). You will notice that when you deselect the Request SHSH from Cydia option and then click on Save SHSH button, TinyUmbrella will throw an error (Log tab) telling you that Apple no longer signs iOS 5.0.1.
Using iFaith:
You should be able to save iOS 5.0.1 SHSH blobs even though Apple is not signing it using iH8sn0w’s iFaith utility, which is available for Windows users. Since it is developed by iH8sn0w, we’re assuming SHSH blobs using iFaith will allow you to downgrade from iOS 5.1 to iOS 5.0.1.
4. Can I downgrade my iPhone 4S and iPad 2 to iOS 5.0.1 from iOS 5.1?
No yet, iH8sn0w hasn’t provided the details on how we can downgrade.

As always, we’ll let you know as soon as we’ve any further updates, so stay tuned at iPhone Hacks or join our Facebook Fan page or follow us on Twitter or add us on Google+ or subscribe to our RSS feed.

Update 1: Added the FAQ section.

Update 2: Added the note section for the answer to question 3 to avoid any confusion.

Update 3: Updated the FAQ section with information about iFaith.

Like this post? Share it!

  • Aaron

    So will I be able to downgrade an iPhone 4S on 5.1 if I didn’t not save the SHSH Blob for 5.0.1 firmware?

    • Kimk69

      You could hope but I would doubt it. I think since apple started signing the firmware, there has been no other way.

      • Aaron

        That sucks. My new iPhone 4S’ speaker doesn’t work when I make or receive a call, I have to use the headphones in order for the other person to hear me. I’m pretty sure it’s a bug since I can still hear the sound from YouTube or Netflix app and I want to reinstall 5.0.1 but I’m not sure if it will go through. And I don’t want to go take it to the Apple store because I don’t want them to hand me back an iPhone on 5.1 since there is still no jailbrake available for it.

        • Jack Black

          Then just dump your SHSH blob using iFaith and make using Sn0wbreeze an new CFW 5.0.1 in iFaith mode and give sn0wbreeze your SHSH blob and you can reinstall 5.0.1 without problems. I did it too.

          • 420d3v

            No you didn’t it doesn’t work like that without h8sn0w releasing how he did it. Error 37,11,34… Is given lol why lie and you have to have already saved ssh blobs with Ifaith cause you can’t transfer them from cydia or tinyum. show proof liar.

  • Kimk69

    Sweet. I new he’d figure something out for the A-5

  • http://www.motorbeam.com/ fas

    What is happening, is Apple not testing software well enough?

    • pakaku

      I thought being able to downgrade to whatever iOS you saved your SHSH blobs from was the whole point of saving them in the first place?

      • http://www.iphonehacks.com/ iPhoneHacks

        Yeah, it should be possible to downgrade only if you have saved the SHSH blobs.

        • César

          Hat his SHSH .??.

          • Hmm

            If you’re asking that at this point, it wont pertain to you.

      • Digit

        Yeah, I agree with Pakaku
        If you already have the blobs saved, why you need a loophole exploit to downgrade?

        • Axe

          U need to beat the big brother (apticket) before u can use shsh to downgrade, hence the loophole in apticket will come in handy.

      • elim

        after ios 5.0, idevices iPad2 and iPhone 4S cannot do that. it is a break thru for these new A5 and A5X idevices. older idevices, life as usual.

        • Digit

          Ahh, now i c. Thnx :)

      • asdfadsf

        You can’t, on any device, downgrade to 5.x, because 5.x checks not only a per-device SHSH, but also a per-restore apticket hash.

        What this means is:
        iPad 3, iPhone 4S, iPad 2 GSM/CDMA – cannot downgrade at all, even with saved SHSH (SHSH for iPad on 4.x exists, but baseband downgrade fails and prevents restore. No pwned DFU for iPad 2 so no way to install 4.x without baseband)
        iPad 2 Wifi, iPhone, iPod Touch – can downgrade to 4.x with saved SHSH (Need to use pwned DFU because baseband downgrade will fail and prevent restore), cannot downgrade to 5.0.1, even with SHSH (apticket).

        So basically, (until this is released) if you’re on 5.1 and have a newer device, you’re stuck on 5.1. If you’re on 5.1 and have an older device, you can restore to 4.x, but not to 5.0.1 .

        IOW, this is a big deal, because until now if you upgraded from 5.0.1, there was no way back no matter what device you had.

        (I think if you have an old-bootrom iPhone 3GS, you can install whatever you like (because the jailbreak occurs before the SHSH/apticket check). Similarly I believe it should be possible to boot a downgraded-to-5.0.1 A4 or earlier device tethered. But I don’t know if this is actually possible, or just theoretically possible).

        • Reza

          Yes dear. asdfadsf
          I have 3gs old-bootrom 5.1 and with Ifaith make a
          Signed ipsw 5.0.1 & restore my Idevice so easy
          Your gus’s right thank you.

        • http://n/a noj

          I don’t think so. I got Ipod 4g at 5.1.1 and was able to downgrade to 5.0.1 using redsnow, ifaith, tiny, and itune. Only idevice that I can’t figure is my iphone 4s.

    • elim

      nobody is perfect!!

  • César

    I really think That is a shame to Apple taking to much time to send a new software and more dangerous if is not security for their clientes.

    Really i dont understand Apple…Maybe they mede to lose some market they Maybe they can respect the clientes Arlindo the world.

    Regards

    • genXhippie

      I got the first half of your comment, but you lost me after that. ;)

      • Apple Lover/Hater

        2nd that lol

  • Joel

    is UPgrading to 5.0.1 still possible?

    • asdfadsf

      No.

      The ‘verifying with Apple’ step that hands out SHSH and apticket doesn’t care what software was on your device before: it only checks what software is on it now. Currently Apple is not validating 5.0.1, so there is no way to install 5.0.1, and no way to restore a 5.0.1 device without installing 5.1 on it.

      Contrast with the XBox 360, where the device will boot anything with a correct per-firmware signature, but stores a list of obsolete firmwares and refuses to boot them; iProducts won’t boot anything that doesn’t have a per-device signature downloaded from Apple, and Apple won’t give out signatures for anything but the current firmware.

  • Chris Williams

    So can I do this NOW!!! Since I accidentally updated my 4(S)?

  • Will

    Omg why post this crap. Post something when you can actually do something. You people love to waste time

    • Axe

      Why r u here then?

  • Angeline

    Could anyone please tell me how to do this without the SHSH blob? Please! D:

    • Digit

      I think its not possible. You need to have saved your blobs

    • Hmm

      YOU CAN’T

    • asdfadsf

      Completely impossible without the SHSH blob.

      If you’ve used Cydia, Cydia will have saved your SHSH blobs; TinyUmbrella can download them. If TinyUmbrella says they’re not on Cydia, then you are out of luck.

  • sillyhillbilly

    The article says to save your 5.0.1 blobs if you have not done so, but Apple is not signing 5.0.1 anymore.

    • Hmm

      Missed this I suppose…

      Update: We’re assuming that you will need SHSH blobs saved using TinyUmbrella to downgrade to iOS 5.0.1.

  • myfranco

    What is it that you didn’t understand? The info is so clear. If you have shsh blobs for 5.0.1, you can downgrade to that firmware from 5.1. If you don’t have shsh, you can’t. And if you don’t have 5.0.1 shsh blobs nobody cares.
    Ferrari is 150.000 euros. If you have that amount of money, you buy it. If you don’t nobody cares.

    • numberonekiller

      myfranco you are a complete plonker !

    • Hmm

      spoken like a true patriot!!

  • joshua

    Will I be able to downgrade my Iphone 4 to 5.0.1 from 5.1? I don’t have shshs saved because I went from 4.3.3 to 5.1

    • Hmm

      OK, LETS MAKE THIS CLEAR FOR EVERYONE….

      NO 5.0.1 SHSH BLOBS, NO DOWNGRADE… ‘PERIOD’

      Not if there’s an ostrich standing on your driveway,
      an elephant is in your tree,
      Venus is in retrograde,
      and certainly not if you don’t think any of this pertains to you!!!

  • robertrush

    if i haved ipad2 5.0.1 blobs saved can i use those to downgrade my 4s?

    • http://www.iphonehacks.com/ iPhoneHacks

      Yes, you should be as soon as iH8sn0w provides the details on how to downgrade to iOS 5.0.1 from iOS 5.1.

      • Hmm

        NO, you need your blobs from your device otherwise anyone’s blob would do. You’re iPad2 blobs wont help with your iPhone 4S; you would have needed to have backed up your iPhone 4S while apple was still signing the code.

    • Plasterer41

      No. Your iphone shsh are nothing to do with your ipad!

    • Axe

      Were u saying “Can i drive a car if i have a bike license?”

  • http://www.iphonehacks.com/ iPhoneHacks

    Updated the post with answers to some of the frequently asked questions.

    • Yuse 2 b ripped off

      I have ip4 on 5.0.1 but in cydia it says shsh 5.1 is saved would that be enough to downgrade?

      • Axe

        U can use tinyumbrella to retrieve 5.0.1 shsh if u care.

        • Axe

          Oh sorry it means u didn’t save 5.0.1. Sorry u can’t.

      • asdfadsf

        iFaith can save the SHSH blob off the device.

        No word if this blob will then work for installing 5.0.1 . A 4.x blob saved in this way does work for 4.x .

        The FAQ above says no, but this might be an omission.

  • Yuse 2 b ripped off

    Apple will never completely close all loopholes I’m sure they could but they need the jailbreak community to sell theire products a lot of people buy because of jailbreaks and in the process discover amazingly talented people like comex and others so they can employ them

    • Dze

      Wrong!
      There is no perfect OS, PERIOD so that being said there will jailbreakable.

  • Meeeee again

    I love what the devs can do and what they can do for us as it shows they have more knowledge and sence and skills than actual apple team, but what i would like to kno is, why havnt they come up with own signing tool? Or there own jailbreak itunes that allows all firmwares to upgrade/downgrade and never have to worry about firmwares? Is it because its against the law? Or is it easier to break the rubbish coding apple make them selves? And them have the joy of embarrasing apple staff that get paid alot of money under strict orders to be shamed..and learn from the devs, this sounds like microsoft vs apple.. All over again. I bet apple even goto the Dev presentations to learn more about the devices n software they made haha!!

  • Aaron

    That sucks. My new iPhone 4S’ speaker doesn’t work when I make or receive a call, I have to use the headphones in order for the other person to hear me. I’m pretty sure it’s a bug since I can still hear the sound from YouTube or Netflix app and I want to reinstall 5.0.1 but I’m not sure if it will go through. And I don’t want to go take it to the Apple store because I don’t want them to hand me back an iPhone on 5.1 since there is still no jailbrake available for it

    • haha

      if u have ur SHSH from 5.0.1 then u can, open up TU and do it that way, if not, im afraid ur stuck with a dodgy iphone, try turning off 3g and data plan, some times restset all settings and reset network settings worked, i had same problem..

      • Aaron

        I tried everything you said to do and still no fix to my problem @ Haha

    • Junkie

      Have you tried to go into settings>general>accessibility, incoming calls

  • Zed Sefi

    iPhonehacks, thanks for the news, but be careful not to use the term ‘The new iPad’ from now on, because if someone reads this article after a year or two, they won’t know which iPad you are talking about. Use iPad third generation mate :)

  • whatevs

    what about the shah blobs saved through cydia via the “make my life easier option”?

    • Damien

      You can get any blobs saved via Cydia through tiny umbrella one of the easiest ways to see if your device will be downgradeable is to open Cydia and see what shsh is says you have at the top of the main Cydia page.

  • Jack Black

    Q: So if ih8sn0w says all A5 devices, that means also the Apple TV 3. So we can downgrade to 5.0.1 ??
    A: Wow that would be amazing but not likely possible because some core apps for atv 3 is not present in iOS 4.4.4 / 5.0.1

  • Laza

    I’m using ipad2 on iOS 5.0.1 and just saved my SHSH using tinyumbrella, even though u state it can’t be done as Apple is not signing iOS 5.0.1
    So it seems it is possible to save ur SHSH for iOS 5.0.1 now.
    This needs to be clarified as it will confuse everyone.

    • http://www.iphonehacks.com/ iPhoneHacks

      Updated the FAQ section to address the point you’ve raised. Hope it clarifies.

  • Anonymous

    i accidentally upgraded to ios 5.1 on my unjailbroken ipod touch 3g. can i downgrade it if i restore it the click restore to factory settings? i bought it as 5.0.1

    • Anonymous

      i meant set up as new ipod

  • http://n/a Francesco

    I had a jail broken 4s on 5.0.1 and cydia said it saved my shsh blobs.but when I looked with t/u it says I don’t have them for 5.0.1…could t/u be wrong or is it more likely cydia didn’t save them as it said

    • PasserBy

      Maybe you can try this package in Cydia called iSHSit (‘im serious). It will allow you to pull any blobs from Cydia via that application.

      • http://n/a Francesco

        but how can i use that package if my phone isnt jailbroken no more

  • Jason

    INHO, their’s NOTHING special worth waisting precious bandwidth, time and effort for this update, less’on u have an iPad that is….

  • http://casesreviewer.com/ Val

    What’s the benefit that anyone can get from downgrading their system? If it’s more beneficial to the user, then why did Apple upgraded their system in the first place?

  • Marjohn

    I am on ios4, but I want to upgrade my ipod to ios 5.0.1; seeing as Apple has stopped signing 5.0.1, I was wondering how I can do it. Should I first upgrade to 5.1, then downgrade it to 5.0.1? But then again, I don’t have the required SHSH blobs, so that would be impossible. Maybe the only way for me is to wait until the jailbroken 5.1 is released? I’m kind of confused, so I’ll appreciate your help.

  • mokz

    can i downgrade from 5.1 to 5.0.1 using ifaith but my shsh blobs is saved thru tiny umbrella?? if yes please instruct me how to… thank

  • jake

    My iPhone 4S 5.0.1 Stuck on Apple logo after I installed somehing in cydia, is there anyway to fix it without restore it?

  • kbatrph

    So why bother putting any mention of this sh*t on here, get people all riled up, when the supposed “creator” of this wonderful new operation hasn’t put it out here for others to use???? Just like putting a raw steak in front of a starving dog and yanking it away at the last minute…geeesh. Post your discovery when you’re ready to put it out there, not 2 or 3 weeks before

  • http://n/a Francesco

    dont get me wrong all the work jailbreakers do id great but what is the fxxking point in telling
    us you can downgrade and then tell us your not going to release it.what a waste of time….

  • paul

    Hey guys,
    Can someone please make sense of this for me:
    “2. Can I downgrade to iOS 5.1 to iOS 5.0.1 if I don’t have iOS 5.0.1 SHSH blobs? No, while iH8sn0w hasn’t provided the details it seems very (very) unlikely that you can downgrade to iOS 5.0.1 if you haven’t saved the SHSH blobs.”
    Ok so I understand that the above is for those of us who already HAD an iphone 4S running 5.01 and upgraded to 5.1.
    My question (which no one seems to be addressing in any of their google threads/posts about downgrading ip 4S to 5.01) is what about if I just got a brand new ip 4S from Sprint and it came loaded with 5.1!!!!!! How am I suppose to save “SHSH Blobs” if I didn’t even have a phone!!! Is there a fix for that???? everyone is just talking about existing users and they should do and not one is addressing new users with new iphones!!! PLEASE HELP ME UNDERSTAND WHAT I’M MISSING HERE….

    • Ddun

      I had the same prob as u. You can’t do it just wait for the new jailbreak.

  • Gadget freak

    Hi, Can some one please help me out, Just couple of questions. I’ve iphone4 running on 4.3.3, can I save iOS 5.1 *without* update my current 4.3.3?

    I recently purchased iphone4 32gb and it came with 4.3.3, but I can’t save 4.3.3 shsh blogs because the signing window is closed, but I was able to save 4.3.3 shsh blobs via iFaith, but the file that downloaded had .ifaith extension. Is this good? If I upgrade to 5.1, can I still downgrade to 4.3.3 having only ifaith blobs and not from Cydia.

    I’ll appreciate if anybody can reply. Thanks a bunch!

  • Brian

    Help (please). My iPad 2 was giving App Store errors on a couple of apps so I rebooted it. After the reboot, it didn’t looked jailbroken anymore (and many of my apps were moved to the springboard from folders). Cydia and my jb apps are still there, but none will run. Others, like my directv app think the ipad IS jailbroken and won’t run now (xcon isn’t being invoked).

    I had applied the iPhoto “patch” to make my iPad look like ios 5.1. My initial thought was that somehow Apple pushed the 5.1 update on me, but iTunes still wants me to upgrade and my Settings is showing “5.1” (9A405) so I’m definitely still on 5.01.

    So, the problem is, Absinthe won’t run again because it says I’m already jailbroken. Repeated attempts to restore 5.0.1 have failed (I’ve tried with and w/o TinyUmbrella’s server running). I do have my 5.0.1 blobs.

    I’m at a loss. If I can’t get it fixed, I’ll be forced to upgrade to 5.1 in order to, at least, use my AppStore apps. *sigh*

  • Gadget freak

    Hi, Can some one please help me out, Just couple of questions. I’ve iphone4 running on 4.3.3, can I save iOS 5.1 *without* update my current 4.3.3?

    I recently purchased iphone4 32gb and it came with 4.3.3, but I can’t save 4.3.3 shsh blogs because the signing window is closed, but I was able to save 4.3.3 shsh blobs via iFaith, but the file that downloaded had .ifaith extension. Is this good? If I upgrade to 5.1, can I still downgrade to 4.3.3 having only ifaith blobs and not from Cydia.

    I’ll appreciate if anybody can reply. Thanks a bunch!

  • Gadget freak

    Can I save iOS 5.1 SHSH blobs if my iOS device is still on iOS 4.3.3?

  • Slava

    I have Iphone 3GS 5.0.1 but i got lot of junk on him and i was making Siri on him(fail) and i change some IOS files and he is now fk slow, so it is possible to put new IOS 5.0.1? and jailbreak him again or i need update him on 5.1 and downgrade on 5.0.1 or here somewhere exist any other way to make clean IOS 5.0.1?

  • Tiffany

    I just bought the iPad 2 today running 5.1 is there a way to downgrade at all? I would love to jailbreak this!!!

  • Vicario

    Does this mean i would able to restore to 5.01 as well ? or only downgrade ?

  • Vicario

    Sorry forgot to mention im on 5.01 on Iphone4S , my os seems dodgy hence i want to do a clean restore to 5.01

  • Bankai

    Is downgrading your device from ios 5.1 to ios 4.x then upgrading to ios 5.0 possible?.

  • Maday

    When will the jailbreak for ipad 2ios 5.1 comes????? I don’t know how this damn iOS installed, I just click restore but it updated. I am feeling very bore with my new iPad.

  • automon

    Hey i have a question. my iphone 4S is currently jailbroken but i want to reset to factory settings (ios 5.0) and re do the jailbreak. if i reset the phone will it auto update to 5.1 when i connect to itunes??? need help thanks!!!!!!

  • waters

    hi, need help. i have a jailbroken iphone 4S but i want to reset to factory settings (ios 5.0) and do the jailbreak again.. when i reset the phone and connect to itunes will it automatically update to ios 5.1???? thanks..

  • Shinnywolf

    Can I use tinyumberella to capture my 4s 5.1 blobs then edit them to work with 5.0.1?
    Or alternatively use a 5.0.1 blob from another phone and edit my phone info to it from 5.1 blob?
    Or using the info from 5.1 blob create my own 5.0.1 blob?
    Any input is appreciated. Got 4s delivered with 5.1 already installed so don’t have 5.0.1 blobs

  • http://www.iphonehacks.com alleo

    The title is
    ” iPad 2 And iPhone 4S Can be Downgraded to iOS 5.0.1 From iOS 5.1 [Updatex3] ”

    but

    4. Can I downgrade my iPhone 4S and iPad 2 to iOS 5.0.1 from iOS 5.1?
    No yet, iH8sn0w hasn’t provided the details on how we can downgrade.

    Which one dude..???

    • Carlos Rodriguez

      exactly my question as well. They are contradicting.

  • Shinnywolf

    Is there anyone out there who can answer my previous question about blobs?
    By the time I get a response 5.1 jailbreak will be released lol

  • JIDE Z WIK

    Well how can i downgrade it i can’t bear life without jailbreak

  • Blackie

    Ok I am die hard android guy. It’s so easy to root and tether wifi. This is my girls new iPhone 4s 5.1. She wants to tether and root like I do. I’ve been reading way too much crap about apple to stomach another minute but is it yet possible to jailbreak this phone so she can tether? Android is so easy this is rediculous… Just want a quick link do I don’t have to ever touch this phone again. Yes I’m savvy with roms and rooting. Kernels and whatnot..,

  • Marco

    Can I downgrade a 4s with an jailbroken iphone 4 SHSH i have?

  • Marco

    Can I downgrade a new iphone 4S on 5.1 to 5.0.1 using the SHSH Blobs from a jailbroken iphone 4?

  • amit Purohit

    i dont know how

    but i did
    i’downgraded my i phone 4s v 5.1.1 to v 5.0.1

    by just deleting the host file
    which u can easily find in windows/system 32/drivers/etc/host

    if and if find host.isc then dont delete this one
    before u delete these file
    pleae ucheck all hidden files and extension
    from folder option

    download the firmware

    and through i tunes by restoring just downgrade ur system

    thats it
    and it will work
    before u go through this check every thing
    then do it

    thanx

  • Shinnywolf

    Sounds promising amit
    Bit confused bout the file your deleting, your explanation is not clear
    I’m deleting host.isc?
    When you say check hidden files before deleting does this mean there are more than 1 copy of this file?
    Does this stop the error message after downgrading sayin apple no longer sign this firmware?
    Sorry if I’m sounding a bit thick here but a detailed step by step guide to what you did would be appreciated